{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
{% endblock %}

{% block title %}
    - History
{% endblock %}

{% block content %}
    <table id="aTable">
        <tbody>
        <tr>
            <td class="mainBox">
                <h1 class="emc2">Historique des duels de {{ user.displayName }} </h1>
                <br/>
                {% for replay in replays %}
                    <div class="historique">
                        {% if replay.won %}
                            <img class="historyImg" alt="victory" src="{{ asset('img/gfx/icons/victory.jpg') }}"/>
                        {% else %}
                            <img class="historyImg" alt="looser" src="{{ asset('img/gfx/icons/looser.jpg') }}"/>
                        {% endif %}
                        <div class="duelHistory bright">
                            <h3>Le {{ replay.createdAt|date('Y-m-d H:i:s') }} -- [TODO: Info about the match]</h3>
                            {# <h3>Le {{ replay.createdAt|date('Y-m-d H:i:s') }} -- Motif Du Combat</h3> #}
                            <div class="duelHistoryBody">
                                <span class="packName">{{ replay.firstDeck.name }}</span>
                                {{ replay.won ? 'a défié et battu' : 'a défié mais a perdu contre' }}
                                le deck <span class="packName">{{ replay.secondDeck.name }}</span> de
                                <span class="userName"
                                      onmouseover="showTip(this,'Fiche joueur', 'Voir la fiche de {{ replay.secondOpponent.displayName }}.');"
                                      onmouseout="hideTip()">
                                    <a href="/user/{{ replay.secondOpponent.id }}">{{ replay.secondOpponent.displayName }}</a>
                                </span>
                                <img class="icon" alt="icon friend dinocard" src="{{ asset('img/gfx/icons/friend.gif') }}">
                                    {# TODO Social feature (hook this feedback)
                                     onmouseover="showTip(this,'Mes amis', 'Fait déjà partie de vos amis');"
                                     onmouseout="hideTip()">
                                     #}
                                .
                            </div>
                            <a href="{{ path('showReplay', {'id' : replay.firstDeck.id, 'otherId' : replay.secondDeck.id, 'seed' : replay.seed }) }}" class="button">
                                Revoir la partie
                            </a>
                        </div>
                    </div>
                {% else %}
                    <div>
                        Votre historique est vide. Créez un pack et affrontez d'autres joueurs dans l'arène...
                    </div>
                {% endfor %}
            </td>
        </tr>
        </tbody>
    </table>
{% endblock %}